SET FOREIGN_KEY_CHECKS = 0;

ALTER TABLE `tb_admin`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_auth_enterprise`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_auth_person`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_authority`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_category`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_charge`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_collection`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_commemorate_nft`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_apply`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_apply`
    ADD COLUMN `apply_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '申请人名称' AFTER `user_id`;

ALTER TABLE `tb_copyright_apply`
    ADD COLUMN `register_owner` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登记证书人名称，在版权登记审核通过后生成' AFTER `register_code`;

ALTER TABLE `tb_copyright_apply`
    ADD COLUMN `register_time` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登记证书时间，在版权登记审核通过后生成' AFTER `register_owner`;

ALTER TABLE `tb_copyright_apply_owner_relation`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_author`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_authority_relation`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_file`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_copyright_owner`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_draft`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_file_template`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_nft`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_nft_transfer_record`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

CREATE TABLE `tb_notify`
(
    `id`          int(10) UNSIGNED                                               NOT NULL AUTO_INCREMENT,
    `uid`         int(11) UNSIGNED                                               NULL DEFAULT 0 COMMENT 'uid',
    `title`       varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci   NULL DEFAULT NULL COMMENT '标题',
    `summary`     varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '概要',
    `content`     text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci          NULL COMMENT '内容',
    `type`        tinyint(1) UNSIGNED                                            NULL DEFAULT 1 COMMENT '1系统消息，2公告消息',
    `state`       tinyint(1) UNSIGNED                                            NULL DEFAULT 1 COMMENT '状态1有效2无效',
    `create_time` datetime                                                       NULL DEFAULT NULL COMMENT '创建时间',
    `update_time` datetime                                                       NULL DEFAULT NULL COMMENT '更新时间',
    `is_delete`   tinyint(1) UNSIGNED                                            NULL DEFAULT 0 COMMENT '0未删除，1已删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = Dynamic;

CREATE TABLE `tb_notify_state`
(
    `uid`    int(11) UNSIGNED NOT NULL COMMENT 'uid',
    `number` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '未读消息数量',
    `nids`   json             NULL COMMENT '未读消息id数组',
    PRIMARY KEY (`uid`) USING BTREE
) ENGINE = InnoDB
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = Dynamic;

ALTER TABLE `tb_opus_category`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

ALTER TABLE `tb_user`
    CHARACTER SET = utf8mb4,
    COLLATE = utf8mb4_general_ci;

SET FOREIGN_KEY_CHECKS = 1;